<?php

class LeiaLaAdmin {

    public function __construct() {
        // Adicionar coluna 'Leia.lá' na lista de posts
        add_filter('manage_posts_columns', array($this, 'add_leia_la_column'));

        // Exibir a URL curta na coluna 'Leia.lá'
        add_action('manage_posts_custom_column', array($this, 'display_leia_la_url'), 10, 2);
    }

    public function add_leia_la_column($columns) {
        $columns['leia_la_url'] = 'Leia.lá';
        return $columns;
    }

    public function display_leia_la_url($column, $post_id) {
        if ($column == 'leia_la_url') {
            // Pegar a URL curta do campo personalizado e exibir
            $short_url = get_post_meta($post_id, '_leia_la_short_url', true);
            if ($short_url) {
                echo esc_url($short_url);
            } else {
                echo 'N/A';  // Se a URL curta não estiver disponível por algum motivo
            }
        }
    }
}
