<?php

class LeiaLaAPI {
    private $api_url = 'https://leia.la/api/v1/link'; // Substitua com a URL correta da API
    private $token;

    public function __construct($token) {
        $this->token = $token;
    }	
	
	public function create_short_url($long_url) {
		// Preparar os headers da requisição
		$headers = array(
			'Authorization' => 'Bearer ' . $this->token,
			'Content-Type'  => 'application/json'
		);		

        // Extrair o título e descrição do post usando o ID
        $title = get_the_title($post_id);
        $description = get_the_excerpt($post_id);

		// Preparar o corpo da requisição
		$body = json_encode(array(
			'type' => 'direct',
			'password' => null,
			'active' => true,
            'utm' => 'utm_source=site&utm_medium=shortlink&utm_campaign=' . urlencode($title),
            'domain_id' => null,
            'title' => $title,
            'description' => $description,
			'pixels' => [495],  // Se você tiver uma lista fixa de pixels
			'groups' => [54],  // Se você tiver uma lista fixa de grupos
			'long_url' => $long_url
		));

		// Fazer a chamada à API
		$response = wp_remote_request($this->api_url, array(
			'method'  => 'POST',
			'headers' => $headers,
			'body'    => $body
		));

		// Checar erros na requisição
		if (is_wp_error($response)) {
			// Logar o erro e retornar false
			error_log($response->get_error_message());
			return false;
		}

		// Decodificar a resposta e retornar a URL curta
		$response_body = json_decode(wp_remote_retrieve_body($response), true);

		return isset($response_body['link']['short_url']) ? $response_body['link']['short_url'] : false;
	}

	
}
